MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027899Open CASCADE[OCCT] OCCT:Visualizationpublic2016-09-24 19:392018-05-24 12:01
Reporterdbp 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027899: Visualization, Ray Tracing - Provide ability to rebuild GLSL shaders on the fly
DescriptionFor debugging and performance analysis it is reasonable to provide the ability to rebuild ray tracing shaders on the fly. In this way, it will be possible to analyze the impact of different shaders modifications withour relaunching and reconfiguring scene. It may be a good instrument for rapid prototyping also.
Steps To Reproducevrender -rebuild
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0058117)
git (administrator)
2016-09-24 20:28

Branch CR27899 has been created by dbp.

SHA-1: ed81fd0c776a5e452d00d2bcd740fde5f209da16


Detailed log of new commits:

Author: dbp
Date: Sat Sep 24 20:26:33 2016 +0300

    0027899: Visualization, Ray Tracing - Provide ability to rebuild GLSL shaders on the fly
    
    For debugging and performance analysis it is reasonable to provide the ability
    to rebuild ray tracing shaders on the fly. In this way, it will be possible to
    analyze the impact of different shaders modifications without re-launching and
    re-configuring the scene. This functionality can be used in the following way:
    
    vrenderparams -rebuild
(0058118)
dbp (developer)
2016-09-24 20:29

Dear kgv,

Could you please review the patch in branch CR27899?
(0058144)
kgv (developer)
2016-09-26 11:14

+  Standard_Boolean        ToRebuildShaders;            //!< forces rebuilding ray tracing shaders 
at the next frame

The parameter name is confusing - it is better adding RayTracing into name.
(0058351)
git (administrator)
2016-10-02 19:23

Branch CR27899_1 has been created by dbp.

SHA-1: 53915bcacfdb86fcd5a44a6bd9f349890b94eedd


Detailed log of new commits:

Author: dbp
Date: Sat Sep 24 20:26:33 2016 +0300

    0027899: Visualization, Ray Tracing - Provide ability to rebuild GLSL shaders on the fly
    
    For debugging and performance analysis it is reasonable to provide the ability
    to rebuild ray tracing shaders on the fly. In this way, it will be possible to
    analyze the impact of different shaders modifications without re-launching and
    re-configuring the scene. This functionality can be used in the following way:
    
    vrenderparams -rebuild
(0058352)
dbp (developer)
2016-10-02 19:24

Dear kgv,

Please review the path in branch CR27899_1.
(0058358)
git (administrator)
2016-10-03 14:47

Branch CR27899_1 has been updated forcibly by kgv.

SHA-1: 23ab4ef8f2d66ed08f895eb272915337a6dee9a2
(0058360)
git (administrator)
2016-10-03 14:53

Branch CR27899_1 has been updated forcibly by kgv.

SHA-1: af5d39a392f7f168b4bab69b66024b19ef7bc5e7
(0058362)
kgv (developer)
2016-10-03 14:54

Please check compilation.
Regression testing and test case are not required (new option is for debugging purposes).
(0058389)
apv (tester)
2016-10-04 13:07

Dear BugMaster,

Branch CR27899_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: af5d39a392f7f168b4bab69b66024b19ef7bc5e7

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1137
(0059458)
git (administrator)
2016-10-28 21:42

Branch CR27899_1 has been deleted by kgv.

SHA-1: af5d39a392f7f168b4bab69b66024b19ef7bc5e7
(0059530)
git (administrator)
2016-10-28 21:45

Branch CR27899 has been deleted by kgv.

SHA-1: ed81fd0c776a5e452d00d2bcd740fde5f209da16

- Related Changesets
occt: master d877e610
Timestamp: 2016-09-24 17:26:33
Author: dbp
Committer: apn
Details ] Diff ]
0027899: Visualization, Ray Tracing - Provide ability to rebuild GLSL shaders on the fly

For debugging and performance analysis it is reasonable to provide the ability to rebuild ray tracing shaders on the fly.
In this way, it will be possible to analyze the impact of different shaders modifications
without re-launching and re-configuring the scene.
This functionality can be used in the following way:
> vrenderparams -rebuild
mod - src/Graphic3d/Graphic3d_RenderingParams.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-24 19:39 dbp New Issue
2016-09-24 19:39 dbp Assigned To => dbp
2016-09-24 20:28 git Note Added: 0058117
2016-09-24 20:29 dbp Note Added: 0058118
2016-09-24 20:29 dbp Assigned To dbp => kgv
2016-09-24 20:29 dbp Status new => resolved
2016-09-24 20:29 dbp Steps to Reproduce Updated View Revisions
2016-09-26 11:14 kgv Note Added: 0058144
2016-10-02 19:23 git Note Added: 0058351
2016-10-02 19:23 dbp Status resolved => feedback
2016-10-02 19:24 dbp Note Added: 0058352
2016-10-02 19:24 dbp Status feedback => resolved
2016-10-03 14:47 git Note Added: 0058358
2016-10-03 14:53 git Note Added: 0058360
2016-10-03 14:54 kgv Note Added: 0058362
2016-10-03 14:54 kgv Assigned To kgv => bugmaster
2016-10-03 14:54 kgv Severity minor => feature
2016-10-03 14:54 kgv Status resolved => reviewed
2016-10-03 14:54 kgv Product Version Unscheduled =>
2016-10-03 15:01 apv Assigned To bugmaster => apv
2016-10-04 13:06 apv Test case number => Not needed
2016-10-04 13:07 apv Note Added: 0058389
2016-10-04 13:07 apv Assigned To apv => bugmaster
2016-10-04 13:07 apv Status reviewed => tested
2016-10-07 16:09 apn Changeset attached => occt master d877e610
2016-10-07 16:09 apn Assigned To bugmaster => apn
2016-10-07 16:09 apn Status tested => verified
2016-10-07 16:09 apn Resolution open => fixed
2016-10-28 21:42 git Note Added: 0059458
2016-10-28 21:45 git Note Added: 0059530
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0
2018-05-24 12:01 kgv Relationship added related to 0029810


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker